### Method

# Foundry RunTool force_exit

#### Declaration [src]

    DexFuture*
    foundry_run_tool_force_exit (
      FoundryRunTool* self
    )

#### Description [src]

Requests the application exit.

The future resolves when the signal has been sent or equivalent operation. That does not mean the process has stopped and depends on where the tool is running (such as a remote device).

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves when the request to force exit has been sent.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.